security/ruby-rex-encoder - The NetBSD Packages Collection

Polymorphic encoders that Metasploit uses for payload encoding

This library provides the basis for all of the polymorphic encoders
that Metasploit uses for payload encoding. Encoders are used to try
and create a version of a payload that is free of bad characters as
defined by the exploit.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/ruby-metasm security/ruby-rex-arch security/ruby-rex-text lang/ruby26-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby25-rex-encoder-0.1.4.tgz
NetBSD 8.0earmv7hfruby26-rex-encoder-0.1.4.tgz
NetBSD 8.0earmv7hfruby27-rex-encoder-0.1.4.tgz
NetBSD 8.0earmv7hfruby25-rex-encoder-0.1.4.tgz
NetBSD 8.0earmv7hfruby26-rex-encoder-0.1.4.tgz
NetBSD 8.0earmv7hfruby27-rex-encoder-0.1.4.tgz
NetBSD 8.0earmv7hfruby25-rex-encoder-0.1.5.tgz
NetBSD 8.0earmv7hfruby26-rex-encoder-0.1.5.tgz
NetBSD 8.0earmv7hfruby27-rex-encoder-0.1.5.tgz
NetBSD 8.0i386ruby25-rex-encoder-0.1.4.tgz
NetBSD 8.0i386ruby26-rex-encoder-0.1.4.tgz
NetBSD 8.0i386ruby27-rex-encoder-0.1.4.tgz
NetBSD 8.0i386ruby25-rex-encoder-0.1.4.tgz
NetBSD 8.0i386ruby26-rex-encoder-0.1.4.tgz
NetBSD 8.0i386ruby27-rex-encoder-0.1.4.tgz
NetBSD 8.0i386ruby25-rex-encoder-0.1.5.tgz
NetBSD 8.0i386ruby26-rex-encoder-0.1.5.tgz
NetBSD 8.0i386ruby27-rex-encoder-0.1.5.tgz
NetBSD 8.0powerpcruby24-rex-encoder-0.1.4.tgz
NetBSD 8.0powerpcruby25-rex-encoder-0.1.4.tgz
NetBSD 8.0powerpcruby26-rex-encoder-0.1.4.tgz
NetBSD 8.0powerpcruby27-rex-encoder-0.1.4.tgz
NetBSD 8.0powerpcruby25-rex-encoder-0.1.5.tgz
NetBSD 8.0powerpcruby26-rex-encoder-0.1.5.tgz
NetBSD 8.0powerpcruby27-rex-encoder-0.1.5.tgz
NetBSD 8.0powerpcruby24-rex-encoder-0.1.4.tgz
NetBSD 8.0powerpcruby25-rex-encoder-0.1.4.tgz
NetBSD 8.0powerpcruby26-rex-encoder-0.1.4.tgz
NetBSD 8.0powerpcruby27-rex-encoder-0.1.4.tgz
NetBSD 8.0powerpcruby25-rex-encoder-0.1.5.tgz
NetBSD 8.0powerpcruby26-rex-encoder-0.1.5.tgz
NetBSD 8.0powerpcruby27-rex-encoder-0.1.5.tgz
NetBSD 8.0x86_64ruby25-rex-encoder-0.1.5.tgz
NetBSD 8.0x86_64ruby26-rex-encoder-0.1.5.tgz
NetBSD 8.0x86_64ruby27-rex-encoder-0.1.5.tgz
NetBSD 8.0x86_64ruby25-rex-encoder-0.1.4.tgz
NetBSD 8.0x86_64ruby26-rex-encoder-0.1.4.tgz
NetBSD 8.0x86_64ruby27-rex-encoder-0.1.4.tgz
NetBSD 8.0x86_64ruby25-rex-encoder-0.1.4.tgz
NetBSD 8.0x86_64ruby26-rex-encoder-0.1.4.tgz
NetBSD 8.0x86_64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0aarch64ruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0aarch64ruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0aarch64ruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0aarch64ruby30-rex-encoder-0.1.5.tgz
NetBSD 9.0aarch64ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0aarch64ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0aarch64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0aarch64ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0aarch64ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0aarch64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0alpharuby25-rex-encoder-0.1.5.tgz
NetBSD 9.0alpharuby26-rex-encoder-0.1.5.tgz
NetBSD 9.0alpharuby27-rex-encoder-0.1.5.tgz
NetBSD 9.0alpharuby25-rex-encoder-0.1.4.tgz
NetBSD 9.0alpharuby26-rex-encoder-0.1.4.tgz
NetBSD 9.0alpharuby27-rex-encoder-0.1.4.tgz
NetBSD 9.0alpharuby25-rex-encoder-0.1.4.tgz
NetBSD 9.0alpharuby26-rex-encoder-0.1.4.tgz
NetBSD 9.0alpharuby27-rex-encoder-0.1.4.tgz
NetBSD 9.0earmruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0earmruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv6hfruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv6hfruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv6hfruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv6hfruby30-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv6hfruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv6hfruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv6hfruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv6hfruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv6hfruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv6hfruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv6hfruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv6hfruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv6hfruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv7hfruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv7hfruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv7hfruby30-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv7hfruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0earmv7hfruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv7hfruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv7hfruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0earmv7hfruby30-rex-encoder-0.1.5.tgz
NetBSD 9.0i386ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0i386ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0i386ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0i386ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0i386ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0i386ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0i386ruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0i386ruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0i386ruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0i386ruby30-rex-encoder-0.1.5.tgz
NetBSD 9.0mips64ebruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0mips64ebruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0mips64ebruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0mips64ebruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0mips64ebruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0mips64ebruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0powerpcruby24-rex-encoder-0.1.4.tgz
NetBSD 9.0powerpcruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0powerpcruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0powerpcruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0powerpcruby24-rex-encoder-0.1.4.tgz
NetBSD 9.0powerpcruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0powerpcruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0powerpcruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0powerpcruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0powerpcruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0powerpcruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0powerpcruby30-rex-encoder-0.1.5.tgz
NetBSD 9.0powerpcruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0powerpcruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0powerpcruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0powerpcruby30-rex-encoder-0.1.5.tgz
NetBSD 9.0sparc64ruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0sparc64ruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0sparc64ruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0sparc64ruby30-rex-encoder-0.1.5.tgz
NetBSD 9.0sparc64ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0sparc64ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0sparc64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0sparc64ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0sparc64ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0sparc64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0sparc64ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0sparc64ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0sparc64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0sparcruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0sparcruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0sparcruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0sparcruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby30-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby25-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby26-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby27-rex-encoder-0.1.4.tgz
NetBSD 9.0x86_64ruby25-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby26-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby27-rex-encoder-0.1.5.tgz
NetBSD 9.0x86_64ruby30-rex-encoder-0.1.5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.